#include "MqttMonitor.h"

#include <Metro.h>
#include <Streaming.h>

#include "hmi.h"
#include "mqttClient.h"

Hmi hmi = Hmi();
Metro tick = Metro(25000); // 25s

void setup() {
	Serial.begin(9600);

	hmi.begin();

	MqttClientNS::begin();
}

void loop() {
	if (tick.check()) {
		Serial << "tick" << endl;
	}

	hmi.exec();

	MqttClientNS::exec();

}
